#!/bin/ash
rm -rf /usr/lib/python1.5/site-packages/ncurses/
cd ncurses

rm -f *.o *.so *.c

swig -stat -python -globals cursesvar _curses.i
swig -stat -python _panel.i
swig -stat -python _menu.i
swig -stat -python _form.i

gcc -c _curses_wrap.c -I/usr/include/python1.5/
gcc -c _panel_wrap.c -I/usr/include/python1.5/
gcc -c _menu_wrap.c -I/usr/include/python1.5/
gcc -c _form_wrap.c -I/usr/include/python1.5/

ld -shared _curses_wrap.o -lncurses -o _curses.so
ld -shared _panel_wrap.o -lpanel -o _panel.so
ld -shared _menu_wrap.o -lmenu -o _menu.so
ld -shared _form_wrap.o -lform -o _form.so

strip *.so

cd ..
python byte_compile.py
python -O byte_compile.py
cd ncurses

chown hgebel:hgebel *

mkdir /usr/lib/python1.5/site-packages/ncurses/
cp *.py* *.so /usr/lib/python1.5/site-packages/ncurses/
rm *.pyc *.pyo *.so *.c *.doc *.o
